HyperTrackDocs
Nearby

Get all nearby searches performed

This API returns a list of all nearby searches performed. The response includes the search parameters, the results of the search. The API is useful for tracking the history of nearby searches and for debugging purposes. The API returns a paginated list of nearby searches, with the ability to filter by date range and search parameters.

GET
/nearby/v4

This API returns a list of all nearby searches performed. The response includes the search parameters, the results of the search. The API is useful for tracking the history of nearby searches and for debugging purposes. The API returns a paginated list of nearby searches, with the ability to filter by date range and search parameters.

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

pagination_token?|

Identifier used to fetch the next page of data

request_id?|

Unique id of a nearby search request.

search_type?|

Type of nearby search. 'eta' for finding estimates of nearby workers, 'region' for finding nearby workers.

order_handle?|

Order handle used to search nearby workers for. This can later be used for tracking and associate nearby requests with corresponding orders.

place_handle?|

Place handle used to search nearby workers for. This can later be used for tracking and associate nearby requests with corresponding places.

from_date?|

Start date of the search in yyyy-mm-dd format. default: 3 days ago utc date

to_date?|

End date of the search in yyyy-mm-dd format. default: todays utc date

limit?|

Maximum number of items to return. If not provided, it will default to 100.

aggregate?|

If true, the response will be aggregated by date and search type. If false, the response will be returned as is.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/nearby/v4"
{  "drivers": [    {      "device": {        "device_id": "00112233-2F48-4DA1-ACEA-8A8D530670CF",        "info": {          "timezone": "America/Los Angeles",          "os_name": "iOS",          "device_brand": "Apple",          "sdk_version": "func test app",          "device_model": "IPhone X",          "network_operator": "T-Mobile",          "name": "Func Test Device",          "os_version": "12.1.4",          "os_hardware_identifier": "719bef31-e487-46e0-86f1-5f32589fd9eb"        },        "profile": {          "gig_type": "ridesharing"        },        "status": {          "value": "active",          "data": {            "activity": "drive",            "recorded_at": "2022-06-30T13:35:14.806Z"          }        }      },      "location": {        "coordinates": [          -122.3999933082254,          37.793651385106074        ],        "type": "Point"      },      "duration": null,      "distance": 9303,      "ongoing_trip": null,      "error": null    }  ],  "summary": {    "total_drivers": 1,    "processed_drivers": 1,    "unprocessed_drivers": 0,    "outside_region_drivers": 0,    "no_route_drivers": 0  }}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}